eID middleware |

# be.portugal.eid.PTEID_EIDCard Class Reference

This class represents a Portugal EID card. More...

Inheritance diagram for be.portugal.eid.PTEID_EIDCard:

List of all members.

## Public Member Functions
synchronized void | delete ()
boolean | isTestCard () throws java.lang.Exception
| Return true if this is a test card.
boolean | getAllowTestCard () throws java.lang.Exception
| Return true if test cards are allowed.
void | setAllowTestCard (boolean allow) throws java.lang.Exception
| Set the flag to allow test cards.
PTEID_CertifStatus | getDataStatus () throws java.lang.Exception
| Return the status of the data.
PTEID_XMLDoc | getDocument (PTEID_DocumentType type) throws java.lang.Exception
| Return a document from the card.
PTEID_EIdFullDoc | getFullDoc () throws java.lang.Exception
| Get the full document.
PTEID_EId | getID () throws java.lang.Exception
| Get the id document.
PTEID_Picture | getPicture () throws java.lang.Exception
| Get the picture document.
PTEID_CardVersionInfo | getVersionInfo () throws java.lang.Exception
| Get the info document.
PTEID_Certificate | getCert (PTEID_CertifType type) throws java.lang.Exception
| Return certificate by type from the card.
PTEID_Certificate | getRrn ()
| Return the RRN certificate from the card.
PTEID_Certificate | getRoot () throws java.lang.Exception
| Return the root certificate from the card.
PTEID_Certificate | getCA () throws java.lang.Exception
| Return the ca certificate from the card.
PTEID_Certificate | getSignature () throws java.lang.Exception
| Return the signature certificate from the card.
PTEID_Certificate | getAuthentication () throws java.lang.Exception
| Return the authentication certificate from the card.
PTEID_ByteArray | getRawData (PTEID_RawDataType type) throws java.lang.Exception
| Return a raw data from the card.
PTEID_ByteArray | getRawData_Id () throws java.lang.Exception
| Get the Id raw data.
PTEID_ByteArray | getRawData_IdSig () throws java.lang.Exception
| Get the IdSig raw data.
PTEID_ByteArray | getRawData_Addr () throws java.lang.Exception
| Get the address raw data.
PTEID_ByteArray | getRawData_AddrSig () throws java.lang.Exception
| Get the AddrSig raw data.
PTEID_ByteArray | getRawData_Picture () throws java.lang.Exception
| Get the picture raw data.
PTEID_ByteArray | getRawData_CardInfo () throws java.lang.Exception
| Get the Card Info raw data.
PTEID_ByteArray | getRawData_TokenInfo () throws java.lang.Exception
| Get the Token Info raw data.
PTEID_ByteArray | getRawData_CertRRN () throws java.lang.Exception
| Get the Cert RRN raw data.
PTEID_ByteArray | getRawData_Challenge () throws java.lang.Exception
| Get the challenge raw data.
PTEID_ByteArray | getRawData_Response () throws java.lang.Exception
| Get the response raw data.
## Static Public Member Functions
static boolean | isApplicationAllowed () throws java.lang.Exception
| Return true if the user allowed the application to read the card.
## Protected Member Functions
| PTEID_EIDCard (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_EIDCard obj)

## Detailed Description

This class represents a Portugal EID card.

See also:
  PTEID_ReaderContext.getEIDCard()

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_EIDCard.PTEID_EIDCard | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_EIDCard.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_SmartCard.

Reimplemented in be.portugal.eid.PTEID_ForeignerCard, and be.portugal.eid.PTEID_KidsCard.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_EIDCard.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_SmartCard.

Reimplemented in be.portugal.eid.PTEID_ForeignerCard, and be.portugal.eid.PTEID_KidsCard.

boolean be.portugal.eid.PTEID_EIDCard.getAllowTestCard | ( |  | ) | throws java.lang.Exception

Return true if test cards are allowed.

PTEID_Certificate be.portugal.eid.PTEID_EIDCard.getAuthentication | ( |  | ) | throws java.lang.Exception

Return the authentication certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_EIDCard.getCA | ( |  | ) | throws java.lang.Exception

Return the ca certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_EIDCard.getCert | ( | PTEID_CertifType | type | ) | throws java.lang.Exception

Return certificate by type from the card.

static long be.portugal.eid.PTEID_EIDCard.getCPtr | ( | PTEID_EIDCard | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_EIDCard.swigCPtr.

PTEID_CertifStatus be.portugal.eid.PTEID_EIDCard.getDataStatus | ( |  | ) | throws java.lang.Exception

Return the status of the data.

(RRN certificate validity)

References be.portugal.eid.PTEID_CertifStatus.swigToEnum().

PTEID_XMLDoc be.portugal.eid.PTEID_EIDCard.getDocument | ( | PTEID_DocumentType | type | ) | throws java.lang.Exception

Return a document from the card.

Throw PTEID_ExDocTypeUnknown exception if the document doesn't exist for this card

Reimplemented from be.portugal.eid.PTEID_Card.

PTEID_EIdFullDoc be.portugal.eid.PTEID_EIDCard.getFullDoc | ( |  | ) | throws java.lang.Exception

Get the full document.

PTEID_EId be.portugal.eid.PTEID_EIDCard.getID | ( |  | ) | throws java.lang.Exception

Get the id document.

PTEID_Picture be.portugal.eid.PTEID_EIDCard.getPicture | ( |  | ) | throws java.lang.Exception

Get the picture document.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData | ( | PTEID_RawDataType | type | ) | throws java.lang.Exception

Return a raw data from the card.

Throw PTEID_ExFileTypeUnknown exception if the document doesn't exist for this card

Reimplemented from be.portugal.eid.PTEID_Card.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_Addr | ( |  | ) | throws java.lang.Exception

Get the address raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_AddrSig | ( |  | ) | throws java.lang.Exception

Get the AddrSig raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_CardInfo | ( |  | ) | throws java.lang.Exception

Get the Card Info raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_CertRRN | ( |  | ) | throws java.lang.Exception

Get the Cert RRN raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_Challenge | ( |  | ) | throws java.lang.Exception

Get the challenge raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_Id | ( |  | ) | throws java.lang.Exception

Get the Id raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_IdSig | ( |  | ) | throws java.lang.Exception

Get the IdSig raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_Picture | ( |  | ) | throws java.lang.Exception

Get the picture raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_Response | ( |  | ) | throws java.lang.Exception

Get the response raw data.

PTEID_ByteArray be.portugal.eid.PTEID_EIDCard.getRawData_TokenInfo | ( |  | ) | throws java.lang.Exception

Get the Token Info raw data.

PTEID_Certificate be.portugal.eid.PTEID_EIDCard.getRoot | ( |  | ) | throws java.lang.Exception

Return the root certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_EIDCard.getRrn | ( |  | ) |

Return the RRN certificate from the card.

PTEID_Certificate be.portugal.eid.PTEID_EIDCard.getSignature | ( |  | ) | throws java.lang.Exception

Return the signature certificate from the card.

PTEID_CardVersionInfo be.portugal.eid.PTEID_EIDCard.getVersionInfo | ( |  | ) | throws java.lang.Exception

Get the info document.

static boolean be.portugal.eid.PTEID_EIDCard.isApplicationAllowed | ( |  | ) | throws java.lang.Exception `[static]`

Return true if the user allowed the application to read the card.

boolean be.portugal.eid.PTEID_EIDCard.isTestCard | ( |  | ) | throws java.lang.Exception

Return true if this is a test card.

void be.portugal.eid.PTEID_EIDCard.setAllowTestCard | ( | boolean | allow | ) | throws java.lang.Exception

Set the flag to allow test cards.